Subject: Re: [pups] bringing up the fist C compiler

From: Dennis Ritchie <[email-masked]>
Date: Fri, 6 Sep 2002 16:05:16 -0400

NB is there in the paper.  This was all on the 11.
The "and later C (via B) on the -11" in the latter should have
said NB.

I'm not absolutely positive whether I started
converting the interpreter to a compiler during
the NB period or only once C existed.  I believe
the latter.

The thing you're thinking about with Ken
is also in the paper.  (adding ++, +=, etc.)
I see it also mentions the GE/Honeywell
compiler.  B itself didn't have a compiler
to the -7 or -11.

	Dennis

Subject: Re: [pups] bringing up the fist C compiler
From: Warren Toomey <[email-masked]>
To: Dennis Ritchie <[email-masked]>
Cc: PDP-11 Unix Preservation Society <[email-masked]>
Date: Fri, 6 Sep 2002 18:14:51 +1000 (EST)

In article by Dennis Ritchie:
> The chist paper on my home page is pretty complete (if telegraphic)
> about bootstrapping B on the PDP-7 and later C (via B) on the -11.

The chist paper doesn't mention NB, which was the missing link between
B and C. I seem to recall a story where there was an NB interpreter
and also a compiler, and Ken kept adding functionality to one which
made it slower, and this had a knock-on effect. Sorry, that's all I
can dredge out of my wetware bit store. Was this in `A Quarter Century
of UNIX' by Peter Salus? Are there any other paper/web references to NB?

	Warren